=head1 NAME

tslmendian - change the byte-order of sunpinyin's threaded back-off language model

=head1 SYNOPSIS

B<tslmendian> [I<option>]

=head1 DESCRIPTION

B<slmendian> converts the binary language model files used by SunPinyin from big-endian to small-endian or vice versa.

=head1 OPTIONS

=over 4

=item B<-e> I<endian>

Specify the I<output-lm-file>'s endian-ness. It can be B<le> or B<ge>. If not given, B<tslmendian> uses the host's endian-ness.

=item B<-v>

Prints out the endian-ness of B<input-lm-file>.

=item B<-i> I<input-lm-file>

Identify the input file of convert. Generally, this file is generated by B<slmthread> or B<tslmpack>.


=item B<-o> I<out-lm-file>

Identify the output file of convert.

=back

=head1 NOTES

The converted output file is equivalent to the input. But if you compare the output of B<tslminfo> of both files, the ARPA file generated by B<tslminfo> may different. This is due to the different precision in different machines.

And due to uninitialized padding data in data structure, the checksum of the original data file may different from the converted-back file, even though they are identical from SunPinyin's point of view.

=head1 AUTHOR

Originally written by Kov. Chai E<lt>tchaikov.gmail.comE<gt>.
Currently maintained by Kov.Chai E<lt>tchaikov@gmail.comE<gt>.

=head1 SEE ALSO

B<slmthread>(1). B<tslminfo>, B<tslmpack>.

=for comment
-*- indent-tabs-mode: nil -*- vim:et:ts=4
